import { FC } from 'react';
import { Editor } from '@tiptap/react';
import { ImageExtensionFnProps, RichTextEditorFeatures } from '../RichTextEditor.types';
export interface MenuBarProps extends Pick<ImageExtensionFnProps, 'onImageUpload'> {
    editor: Editor;
    features: RichTextEditorFeatures[];
}
export declare const AmplifyBar: FC<MenuBarProps>;
export declare const EditorMenu: {
    Bar: import("styled-components/dist/types").IStyledComponentBase<"web", import("styled-components").FastOmit<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, never>> & string;
    Bars: import("styled-components/dist/types").IStyledComponentBase<"web", import("styled-components").FastOmit<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, never>> & string;
    Button: import("react").ForwardRefExoticComponent<Omit<import("./MenuButton").MenuButtonProps, "ref"> & import("react").RefAttributes<HTMLButtonElement>>;
    Section: import("styled-components/dist/types").IStyledComponentBase<"web", import("styled-components").FastOmit<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLElement>, HTMLElement>, never>> & string;
    AddImageButton: FC<import("./AddImageButton").AddImageProps>;
};
export declare const EditorText: {
    History: FC<import("../RichTextEditor.types").EditorPanel>;
    Formating: FC<import("../RichTextEditor.types").EditorPanel>;
    Headers: FC<import("../RichTextEditor.types").EditorPanel>;
    Lists: FC<import("../RichTextEditor.types").EditorPanel>;
    Color: FC<import("../RichTextEditor.types").EditorPanel>;
    Code: FC<import("../RichTextEditor.types").EditorPanel>;
    Links: FC<import("../RichTextEditor.types").EditorPanel>;
    Table: FC<import("../RichTextEditor.types").EditorPanel>;
    TableBar: FC<{
        editor: Editor;
    }>;
    Alignment: FC<import("../RichTextEditor.types").EditorPanel>;
    ClearFormating: FC<import("../RichTextEditor.types").EditorPanel>;
};
