import{EditorContent as t}from"@tiptap/react";import{shape as e,typography as o}from"../../atoms/style/index.js";import{colors as r,VARIANT_COLORS as i}from"../../atoms/style/colors.js";import a from"styled-components";import{spacings as n}from"../../atoms/style/spacings.js";const d=a(t)`
  display: grid;
  grid-template-rows: 1fr;
  overflow-y: auto;
  min-height: ${t=>t.$minHeight||"auto"};
  max-height: ${t=>t.$maxHeight||"auto"};
`,l=a.div`
  display: grid;
  grid-template-rows: auto 1fr;
  background: ${r.ui.background__default.rgba};
  border-radius: ${e.corners.borderRadius} ${e.corners.borderRadius} 0 0;
  border: ${t=>t.$border?`1px solid ${r.ui.background__medium.rgba}`:"none"};
  border-bottom: none;

  &:has(div[contenteditable='true']) {
    height: inherit;
  }

  & [data-placeholder]::before {
    color: ${r.text.static_icons__tertiary.rgba} !important;
  }

  .tiptap {
    box-sizing: border-box;
    overflow-y: auto;
    background: ${t=>t.$lightBackground?`${r.ui.background__default.rgba}`:`${r.ui.background__light.rgba}`};

    &[contenteditable='true'] {
      box-shadow: ${({$highlighted:t,$variant:e})=>t?`inset 0 -2px ${r.dataviz.darkblue.darker}`:e?`inset 0 -2px ${i[e]}`:`inset 0 -1px ${r.ui.background__medium.rgba}`};
    }

    padding: ${t=>{switch(t.$padding){case"sm":return n.small;case"md":return n.medium;case"lg":return n.large;default:return 0}}};

    a {
      color: ${r.interactive.primary__resting.rgba};
    }
    a:hover {
      cursor: pointer;
      color: ${r.interactive.primary__hover.rgba};
    }
    p {
      font-size: 16px;
      font-family: 'Equinor', sans-serif;
      color: ${r.text.static_icons__default.rgba};
      line-height: ${o.paragraph.body_long.lineHeight};
      margin: 0;
    }
    ul,
    ol {
      margin: 0;
    }
    img {
      max-width: 100%;
      max-height: 100%;
      border-radius: 5px;
    }
    pre {
      background: #0d0d0d;
      border-radius: 0.5rem;
      color: #fff;
      font-family: 'Equinor Mono', monospace;
      padding: 0.75rem 1rem;
      margin: 0;

      code {
        background: none;
        color: inherit;
        font-size: 0.8rem;
        padding: 0;
      }
    }

    table {
      border-collapse: collapse;
      overflow: hidden;
      table-layout: fixed;
      width: 100%;

      td,
      th {
        border: 2px solid #ced4da;
        box-sizing: border-box;
        min-width: 1em;
        padding: 3px 5px;
        position: relative;
        vertical-align: top;

        > * {
          margin-bottom: 0;
        }
      }

      th {
        background-color: ${({$lightBackground:t})=>t?"#f1f3f5":r.ui.background__default.rgba};
        font-weight: bold;
        text-align: left;
      }

      .selectedCell:after {
        background: rgba(200, 200, 255, 0.4);
        content: '';
        left: 0;
        right: 0;
        top: 0;
        bottom: 0;
        pointer-events: none;
        position: absolute;
        z-index: 2;
      }

      .column-resize-handle {
        background-color: #adf;
        bottom: -2px;
        position: absolute;
        right: -2px;
        pointer-events: none;
        top: 0;
        width: 4px;
      }

      p {
        margin: 0;
      }
    }

    &:focus-visible {
      outline: none;
      box-shadow: inset 0 -2px ${r.interactive.primary__resting.rgba};
    }
  }

  .tiptap p.is-editor-empty:first-child::before {
    color: ${r.text.static_icons__default.rgba};
    content: attr(data-placeholder);
    float: left;
    height: 0;
    pointer-events: none;
  }
`,s=a.div`
  display: flex;
  flex-direction: column;
`,g=a.div`
  display: flex;
  justify-content: space-between;
  padding: 0 ${n.small};
  > p {
    color: ${r.text.static_icons__tertiary.rgba};
  }
`,p=a.div`
  display: flex;
  gap: ${n.small};
  padding-left: ${n.small};
  margin-top: ${n.small};
`;export{d as EditorContent,l as EditorStyling,p as HelperWrapper,g as LabelWrapper,s as Wrapper};
