import { Editor } from '@tiptap/react';
export declare enum RichTextEditorFeatures {
    HISTORY = "history",
    FORMATTING = "formatting",
    HEADERS = "headers",
    LISTS = "lists",
    TEXT_COLOR = "text-color",
    CODE = "code",
    ALIGNMENT = "alignment",
    LINKS = "links",
    IMAGES = "images",
    CLEAR_FORMATTING = "clear-formatting",
    TABLE = "table"
}
export declare const DEFAULT_FEATURES: RichTextEditorFeatures[];
type OnImageUploadFn = (file: File) => Promise<{
    src: string;
    alt: string;
} | undefined>;
export interface ImageExtensionFnProps {
    onImageUpload?: OnImageUploadFn;
    onImageRead?: (src: string) => Promise<string>;
    onImageRemove?: (src: string) => Promise<void>;
    onRemovedImagesChange?: (images: string[]) => void;
}
export interface EditorPanel {
    editor: Editor;
    features?: RichTextEditorFeatures[];
}
export {};
