import { FilterProps } from './Filter.types';
/**
 * @param values - Array of values to display as chips ({ value: string, label: string, icon?: IconData }[])
 * @param search - The current search value
 * @param onSearchChange - Callback when search changes
 * @param onSearchEnter - Callback when users hit {Enter} in the search field
 * @param onClearFilter - Function to call when the user clicks the delete button on a chip
 * @param onClearAllFilters - Function to call when the user clicks the clear filters button
 * @param children - ReactNode or ReactNode[] to display below when the filter is open
 * @param inlineContent - ReactNode or ReactNode[] to display inline with the search field, but before the open/close button
 * @param initialOpen - Whether the filter should be open by default, defaults to false
 * @param placeholder - Placeholder text for the search input, defaults to 'Search...'
 * @param id - ID for the search field
 */
export declare function Filter<T extends string>({ values, search, onSearchChange, onSearchEnter, onClearFilter, onClearAllFilters, children, topContent, inlineContent, initialOpen, placeholder, id, }: FilterProps<T>): import("react/jsx-runtime").JSX.Element;
