import { FC, ReactElement, ReactNode } from 'react';
import { AccountInfo } from '@azure/msal-browser';
export type AuthState = 'loading' | 'authorized' | 'unauthorized';
export interface AuthContextType {
    account: AccountInfo | undefined;
    photo: string | undefined;
    roles: string[] | undefined;
    logout: () => void;
    authState: AuthState;
}
export declare const useAuth: () => AuthContextType;
export declare const MOCK_USER: Required<AccountInfo>;
interface AuthProviderProps {
    children: ReactNode;
    loadingComponent?: ReactElement;
    unauthorizedComponent?: ReactElement;
    withoutLoader?: boolean;
    withoutBackend?: boolean;
}
/**
 * @param children - ReactNode
 * @param loadingComponent - Component to show while auth is loading
 * @param unauthorizedComponent - Component to show if user is unauthorized
 * @param withoutLoader - Hide loader from AuthProvider
 * @param withoutBackend - Will not attempt to get roles from backend
 */
export declare const AuthProvider: FC<AuthProviderProps>;
export {};
